# List of events emitted by Beacon Bar

| Event Name            | Attributes                    | Description                                             |
| --------------------- | ----------------------------- | ------------------------------------------------------- |
| barInvoked            |                               | When the Bacon Bar is invoked                           |
| actionClicked         | \_id, label, query, hasSearch | When an action is clicked on the Beacon Bar             |
| helpClicked           | \_id, label, query, hasSearch | When an help doc is clicked on the Beacon Bar           |
| requestCommandClicked | hasSearch, label              | When a request new command is clicked on the Beacon Bar |
| feedbackClicked       | hasSearch, label              | Feedback command clicked on Beacon Bar                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.beacon.li/list-of-events-emitted-by-beacon-bar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
